import Vue from 'vue'
import App from './App.vue'
import router from './router'
import Buefy from 'buefy'
import 'buefy/lib/buefy.css'
import moment from 'moment'
import 'bootstrap'
import BootstrapVue from 'bootstrap-vue';
import 'bootstrap/dist/css/bootstrap.css';
import 'bootstrap-vue/dist/bootstrap-vue.css';

Vue.use(BootstrapVue);
Vue.use(Buefy);

Vue.config.productionTip = false;

Vue.prototype.$hostname = 'http://localhost:8080';


new Vue({
    router,
    render: h => h(App)
}).$mount('#app');

Vue.filter('formatDate', function (value) {
    if (value) {
        return moment(String(value)).format('MM/DD/YYYY')
    }
});
